Bug 152967 - sdiff: subsidiary program $EDITOR failed
sdiff: subsidiary program $EDITOR failed
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: diffutils (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
: 152968 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-03-31 09:57 EST by Rangan Chidambara Kuttalam Pillai
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 2.8.1-15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-06 11:37:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rangan Chidambara Kuttalam Pillai 2005-03-31 09:57:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.4) Gecko/20050318 Red Hat/1.4.4-1.3.5

Description of problem:
sdiff shows the following error while making changes using the editor.

sdiff: subsidiary program `$EDITOR` failed

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.echo hello >a; echo bye >b 
2.sdiff -o new a b 
3.Then enter 'eb' at % prompt.  This will bring up $EDITOR. 
4.Save, quit. 

Actual Results:  sdiff displays the following error.

sdiff: subsidiary program `$EDITOR` failed

Expected Results:  No error messages.

Additional info:

This bug has been already reported in gnu mailing list.


Also a patch available at the URL
I tested the patch locally and it seem to resolve the problem.
Comment 1 Tim Waugh 2005-03-31 10:01:11 EST
*** Bug 152968 has been marked as a duplicate of this bug. ***
Comment 2 Tim Waugh 2005-04-06 11:37:39 EDT
That patch is wrong, but the correct patch has been applied now.  Thanks for the

Note You need to log in before you can comment on or make changes to this bug.